| Home | Libraries | People | FAQ | More

##### insert(Iterator, Iterator)

Insert a range of values to the index.

###### Synopsis

    template<typename Iterator>
    void insert(Iterator first, Iterator last)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`Iterator` | `first` | The beginning of the range of values.
`Iterator` | `last` | The end of the range of values.

###### Throws

- If Value copy constructor or copy assignment throws.
- If allocation throws or returns invalid value.

| Warning
This operation only guarantees that there will be no memory leaks. After an exception is thrown the R-tree may be left in an inconsistent state, elements must not be inserted or removed. Other operations are allowed however some of them may return invalid data.